﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;

namespace HierarchyWidthMode
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow
	{
		public MainWindow()
		{
			this.InitializeComponent();

			GridViewTableDefinition detailDefinition = new GridViewTableDefinition();
			detailDefinition.Relation = new PropertyRelation("Orders");
			this.radGridViewHierarchyWidthMode.TableDefinition.ChildTableDefinitions.Add(detailDefinition);

			this.DataContext = BuildCustomers();
		}

		private static ObservableCollection<Customer> BuildCustomers()
		{
			ObservableCollection<Customer> customers = new ObservableCollection<Customer>();

			ObservableCollection<Order> orders = new ObservableCollection<Order>();

			for (int i = 0; i < 10; i++)
			{
				orders.Add(new Order { Number = i, Details = "Order" + i });
			}

			for (int i = 0; i < 100; i++)
			{
				customers.Add(new Customer { Email = "Mail" + i, Name = "Name" + i, Number = i, Orders = orders });
			}

			return customers;
		}
	}
}